﻿using Infragistics.Windows;
using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGExpandableFieldRecordStyleCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();            
        }

        void EFRP_Loaded(object sender, RoutedEventArgs e)
        {
            ExpandableFieldRecordPresenter EFRP = sender as ExpandableFieldRecordPresenter;

            Border b = Utilities.GetDescendantFromName(EFRP, "borderBackgroundHighlight") as Border;

            if (EFRP.Description.ToString().Contains("1") && b != null)
            {
                b.Background = Brushes.Red;
            }
            else if(EFRP.Description.ToString().Contains("2") && b != null)
            {
                b.Background = Brushes.Blue;
            }            
        }
    }
}
